import { Config, TransitionItem } from './types';
export interface State<T> {
    items: TransitionItem<T>[];
    byKey: {
        [key: string]: TransitionItem<T>;
    };
    nextUpdate: number | undefined;
}
export declare function generateInitialState<T>(items: T[], getKey: (item: T) => string, config: Config<T>): State<T>;
export declare function generateNextState<T>(prev: State<T>, items: T[], getKey: (item: T) => string, config: Config<T>): State<T>;
